.TH "Version comparison" 3 "28 Jul 2005" "discover" \" -*- nroff -*-
.ad l
.nh
.SH NAME
Version comparison \- 
.SS "Functions"

.in +1c
.ti -1c
.RI "int \fBdiscover_xml_version_cmp\fP (char *range, char *version, \fBdiscover_error_t\fP *status)"
.br
.in -1c
.SH "Function Documentation"
.PP 
.SS "int discover_xml_version_cmp (char * range, char * version, \fBdiscover_error_t\fP * status)"
.PP
Compare a version number against a version range, returning 1 if the number matches the range or 0 if not.
.PP
\fBParameters:\fP
.RS 4
\fIrange\fP Range to compare against version 
.br
\fIversion\fP Version to compare against range 
.br
\fIstatus\fP Address in which to place status report 
.RE
.PP

.PP
Definition at line 438 of file version-cmp.c.
.PP
References discover_error::code, and DISCOVER_EBADVERSION.
